Loading...
Searching...
No Matches
dolfin::Event Class Reference

`#include <Event.h>`

## Public Member Functions

| Event (const std::string msg, unsigned int maxcount=1)
| Constructor.
| ~Event ()
| Destructor.
void | operator() ()
| Display message.
unsigned int | count () const
| Display count.
unsigned int | maxcount () const
| Maximum display count.

## Detailed Description

A event is a string message which is displayed only a limited number of times.

Event event("System is stiff, damping is needed.");
while ()
{
...
if ( ... )
{
event();
...
}
}
dolfin::Event::Event
Event(const std::string msg, unsigned int maxcount=1)
Constructor.
Definition Event.cpp:27

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/Event.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/Event.cpp